%define pyver 1.5
%define mxversion 2.0.3

Summary:  A collection of Python software tools.
Name: Zope-mx
Version: 2.5.1
Release: 1
Packager: Emanuele Cisbani <cisba@tiscali.it>
URL: http://www.lemburg.com/files/python/eGenix-mx-Extensions.html
Source0: http://www.lemburg.com/python/egenix-mx-base-%{mxversion}.tar.gz
Patch0: egenix-mx-base-2.0.2-pyconfig.patch
Patch1: egenix-mx-base-2.0.1-longyear.patch
License: eGenix.com Public License (Python)
Group: Development/Libraries
BuildRequires: gcc glibc-devel python2 python2-devel Distutils Zope 
Requires: Zope = 2.5.1 compat-glibc glibc-debug glibc
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The mx extensions for Python are a collection of Python software tools
which enhance Python's usability in many areas.

%prep
%setup -q -n egenix-mx-base-%{mxversion}
#patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" /var/zope/bin/python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/var/zope/bin/python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES 
mkdir -p $RPM_BUILD_ROOT%{_includedir}

for I in `find $RPM_BUILD_ROOT/var/zope/lib/python*/site-packages/mx -name '*.h'`; do
	mv $I $RPM_BUILD_ROOT%{_includedir}
done
install -m444 mx/BeeBase/mxBeeBase/mxh.h $RPM_BUILD_ROOT%{_includedir}

# These files are documentation, and are in a bad location

mkdir docs
mv $RPM_BUILD_ROOT/var/zope/lib/python*/site-packages/mx/{LICENSE,COPYRIGHT} docs
rm -fr $RPM_BUILD_ROOT/var/zope/lib/python*/site-packages/mx/Doc
mv $RPM_BUILD_ROOT/var/zope/lib/python*/site-packages/mx/*/Doc/* docs
rmdir $RPM_BUILD_ROOT/var/zope/lib/python*/site-packages/mx/*/Doc/

# Don't include the examples
rm -fr $RPM_BUILD_ROOT/var/zope/lib/python*/site-packages/mx/*/Examples

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root) 
%doc README docs/*
#%{_includedir}/*.h
#%{_prefix}/lib/python*/site-packages/mx
/var/zope/lib/python*/site-packages/mx

%changelog
* Fri Jul 12 2002 Emanuele Cisbani <cisba@tiscali.it> 2.5.1-1
- First release as part of Zope RPM
- spinoff from mx RPM
